List quotas for an organization (By ID)

Request

GET

https://api.sourcecraft.tech/orgs/id:{org_id}/quotas

Path parameters

Name

Description

org_id

Type: string

Example: ``

Responses

200 OK

A successful response.

Body

application/json
{
  "quotas": [
    {
      "quota_id": "example",
      "usage": 0.5,
      "limit": 0.5
    }
  ]
}

Name

Description

quotas

Type: QuotaLimit[]

Example
[
  {
    "quota_id": "example",
    "usage": 0.5,
    "limit": 0.5
  }
]

QuotaLimit

Name

Description

limit

Type: number

quota_id

Type: string

Example: example

usage

Type: number

Example
{
  "quota_id": "example",
  "usage": 0.5,
  "limit": 0.5
}

default

Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme

Body

application/json
{
  "error_code": "example",
  "message": "example",
  "request_id": "example",
  "details": {}
}

Name

Description

details

Type: Optional details. Exact structure depends on error_code

[additional]

Type: string

Example: example

Example
{}

error_code

Type: string

Example: example

message

Type: string

Example: example

request_id

Type: string

Example: example

Предыдущая